Package org.bukkit.event.hanging

# Class HangingPlaceEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.hanging.HangingEvent
org.bukkit.event.hanging.HangingPlaceEvent

All Implemented Interfaces:
  `Cancellable`

public class HangingPlaceEvent extends HangingEvent implements Cancellable
Triggered when a hanging entity is created in the world

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.hanging.HangingEvent

`hanging`

## Constructor Summary

Constructors
Constructor
Description
`HangingPlaceEvent(@NotNull Hanging hanging, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace)`
Deprecated.
`HangingPlaceEvent(@NotNull Hanging hanging, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace, @Nullable ItemStack itemStack)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Returns the block that the hanging entity was placed on
`@NotNull BlockFace`
`getBlockFace()`
Returns the face of the block that the hanging entity was placed on
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable ItemStack`
`getItemStack()`
Gets the item from which the hanging entity originated
`@Nullable Player`
`getPlayer()`
Returns the player placing the hanging entity
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.hanging.HangingEvent

`getEntity`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HangingPlaceEvent

@Deprecated public HangingPlaceEvent(@NotNull @NotNull Hanging hanging, @Nullable @Nullable Player player, @NotNull @NotNull Block block, @NotNull @NotNull BlockFace blockFace)
Deprecated.

### HangingPlaceEvent

public HangingPlaceEvent(@NotNull @NotNull Hanging hanging, @Nullable @Nullable Player player, @NotNull @NotNull Block block, @NotNull @NotNull BlockFace blockFace, @Nullable @Nullable ItemStack itemStack)

## Method Details

### getPlayer

@Nullable public @Nullable Player getPlayer()
Returns the player placing the hanging entity

Returns:
  the player placing the hanging entity

### getBlock

@NotNull public @NotNull Block getBlock()
Returns the block that the hanging entity was placed on

Returns:
  the block that the hanging entity was placed on

### getBlockFace

@NotNull public @NotNull BlockFace getBlockFace()
Returns the face of the block that the hanging entity was placed on

Returns:
  the face of the block that the hanging entity was placed on

### getItemStack

@Nullable public @Nullable ItemStack getItemStack()
Gets the item from which the hanging entity originated

Returns:
  the item from which the hanging entity originated

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()